# Get Team Member working days

Returns the dates in the period on which at least one of the selected Team Members has
working hours in the schedule. Use it to disable non-working days in a date picker.
The Business User needs access to the appointment calendar.

Endpoint: GET /locations/{location_id}/team_members/working_days
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (integer, required)
    Location ID

## Query parameters:

  - `start_date` (string, required)
    Period start date (YYYY-MM-DD)

  - `end_date` (string, required)
    Period end date (YYYY-MM-DD), inclusive

  - `team_member_id` (integer)
    Single Team Member ID. Takes precedence over `team_member_ids[]`.

  - `team_member_ids[]` (array)
    Team Member IDs. Without a Team Member filter, all active Team Members the Business User may see are used.

## Header parameters:

  - `Accept` (string, required)

  - `Content-Type` (string, required)

  - `Authorization` (string, required)
    Bearer {partner_token}, User {user_token}

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)

  - `data` (array)

  - `meta` (array)

## Response 400:

  - `400` (unknown)
    `start_date` or `end_date` is missing

## Response 400 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: An error has occurred.

  - `meta.errors` (array)
    Set of a validation error messages.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

